Subject: Re: subversion-perl missing

From: Jakub Narebski <[email-masked]>
Date: Wed, 28 Sep 2011 14:59:30 +0200

On Wed, 28 Sep 2011, Georg-Johann Lay wrote:
> Jakub Narebski schrieb:
>> Georg-Johann Lay writes:
>>> Christian Couder schrieb:
>>>> On Mon, Sep 26, 2011 at 1:48 PM, Georg-Johann Lay <[email-masked]> wrote:
 
>>>>> Where do I have to go to get the svn+perl stuff? Couldn't locate anything like
>>>>> that in subversion.tigris.org, so that I am stuck and need some hints on how to
>>>>> proceed.
>>>>
>>>> Perhaps you can try to install this module from CPAN:
>>>>
>>>> http://search.cpan.org/~mschwern/Alien-SVN-v1.6.12.1/
>>>>
>>>> or from it's github repo:
>>>>
>>>> https://github.com/schwern/alien-svn
>>>
>>> thanks for that hint.
>>>
>>> After getting that piece of software, running ./Build.PL and ./Build I just
>>> don't know what to do next.  The README doesn't say anything about how to use
>>> the built modules or how to do an install.
>> 
>> If you don't have admin privileges on the box, the best solution would
>> be to use local::lib[1] to install Perl modules in your home directory
>> for you (#perl IRC channel on FreeNode, or perlmonks are really helpful).
>> 
>> I really recommend it, together with cpanm[2] (which can configure
>> local::lib for you, via --local-lib option), though the latter is not
>> necessary.
>> 
>> [1]: http://search.cpan.org/~apeiron/local-lib-1.008004/lib/local/lib.pm
>> [2]: http://search.cpan.org/~miyagawa/App-cpanminus-1.4008/bin/cpanm
>> 
>> 
>> If you have admin privileges, I think the best solution would be
>> either find repository which has subversion-perl that matches your
>> version of Subversion, or compile subversion-perl from a source
>> package... though this might be more difficult, it has advantage of
>> being in package management.
>>  
>>> As git-svn complains
>>>
>>> ...Can't locate SVN/Core.pm in @INC (@INC contains: ...
>>>
>>> and
>>>
>>>  schwern-alien-svn-9298884>find . -name 'Core.pm'
>>> ./src/subversion/subversion/bindings/swig/perl/native/Core.pm
>>> ./src/subversion/subversion/bindings/swig/perl/native/blib/lib/SVN/Core.pm
>>>
>>> the question is how to do the final trick of telling git how to use Core.pm
>>> (and which of the two?) and do the connexion between git and alien-svn.
>>>
>>> Sorry for the noob questions, never used perl or git before...
>> 
>> You have to install subversion-perl somewhere, not only build it.
> 
> Unfortunately, that package comes without hints on doing that.
> 
> As far as I understand, alien-svn comes with SVN sources which it uses for its
> own perl packages to provide svn stuff to perl, but don't install/build new svn
> version.

Step by step instruction.

1. Follow instructions on local::lib manpage
   http://search.cpan.org/perldoc?local::lib

   c.f. http://perl.jonallen.info/writing/articles/install-perl-modules-without-root

2. (Optional). Follow instructions on cpanm manpage, e.g. http://cpanmin.us
   or http://search.cpan.org/perldoc?cpanm

3. Install Alien::SVN from CPAN using 'cpan' client or 'cpanm', e.g.

   $ cpanm Alien::SVN

Now you are able to install Perl modules in your home directory.
-- 
Jakub Narebski
Poland